<?php
    global $wp_query; // you can remove this line if everything works for you
 
    // don't display the button if there are not enough posts
    if (  $wp_query->max_num_pages > 1 )
	    echo '<div class="misha_loadmore"><a>Mutass többet</a></div>'; // you can use <a> as well
?>